pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: pkg/24041 (mailman-2.1.3 check_perms errors)

Synopsis: mailman-2.1.3 check_perms errors

State-Changed-From-To: closed->open
State-Changed-When: Tue, 05 Feb 2008 23:58:56 +0000
I would like to reevaluate this problem.

The current permissions are IMO completely wrong. Mailman
should not be able to write to the code (e.g. lib/mailman)
and the only files that should need group mailman are the
cgi-bin scripts. Can any user mailman user confirm that
chown -R root:wheel /usr/pkg/lib/mailman
chmod -R g-w /usr/pkg/lib/mailman
chgrp -R mailman /usr/pkg/lib/mailman/cgi-bin/*
chmod g+s /usr/pkg/lib/mailman/cgi-bin/*
does not break mailman? I think the check_perms script is broken
for the separate var_prefix case.

Home | Main Index | Thread Index | Old Index